
#include <p18f4550.h>
#include <GLCD.h>
#include <stdio.h>

#pragma config WDT = OFF, LVP = OFF, FOSC = INTOSCIO_EC

const rom unsigned char Logo[];
 
void PutBars(unsigned char x,unsigned char y,unsigned char Percent){
unsigned char i;
        for(i=(100-Percent)/10;i<10;i++){
            vline(x+i,x+10,y+2*i);
        }            
}


void main (void){
unsigned char i;
float voltage;
char DATAtoLCD[30];

    OSCCON=0x70;
	ADCON1=0x0f;	// all digital
	CMCON=7;		// no comparators

    voltage = 6.9123;

//    sprintf(DATAtoLCD,"%#010x",i);

    i=0;

	Init_GLCD(); 
	// ascii 22 (0x16) is set position followed by x,y
	PutMessage((rom char*)"\x16\x24\x08 Blueroom\x16\x20\x10 Electronics\n Title:\n Author:\n Date:\n Hardware:");
	PutMessage((rom char*)"\x16\x38\x18Graphic demo.");
	PutMessage((rom char*)"\x16\x38\x20Mike Webb.");
	PutMessage((rom char*)"\x16\x38\x28June 20 2007.");
	PutMessage((rom char*)"\x16\x38\x30Unicorn.");
	box(1,1,126,62);
	SetPos(3,3);
	PutLogo((rom char*)Logo);
	SetPos(127-3-20,3);
	PutLogo((rom char*)Logo);

    PutCircle(50,50,20);

    PR2=125;
    T2CON=0b01001110;

    //FilledBox(1,1,5,5);
    //ClearScreen();
    while(1){
        PutBars(0,10,10);
        PutBars(12,10,20);
        PutBars(24,10,30);
        PutBars(36,10,40);
        PutBars(48,10,50);
        PutBars(60,10,60);
        PutBars(72,10,70);
        PutBars(84,10,80);
        PutBars(96,10,90);
        PutBars(108,10,100);
        /*for(i=0;i<10;i++){
            //FilledBox(50+i,40+2*i,60,40+2*i+1);
            vline(50+i,60,40+2*i);
        } */       

    }
    

	while (1);
}

const rom unsigned char Logo[]={
	20,21,					// width,height
    0x00,0x06,0x00,0x60,	// raster data - no padding.
    0x00,0x40,0x2F,0x00,
    0xFC,0x03,0x80,0x1F,
    0x00,0xF8,0x01,0x92,
    0x9F,0xF4,0xFB,0xFD,
    0xFE,0xFF,0xE7,0xFF,
    0x7F,0xFF,0xFF,0xEF,
    0xFF,0x7F,0xFC,0xFF,
    0x83,0xFF,0x1F,0xF0,
    0xFF,0x00,0xFE,0x07,
    0xF0,0xFF,0x00,0x60,
    0x00,0x00,0x06,0x00,
    0x60,0x00,0x00,0x06,
	0x00
};
